<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/constraintLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="14dp"
        android:layout_marginTop="12dp"
        android:layout_marginRight="14dp"
        android:background="@drawable/bg_white_10dp">

        <ImageView
            android:id="@+id/im_music_mark"
            android:layout_width="@dimen/dp_40"
            android:layout_height="@dimen/dp_40"
            android:layout_marginLeft="11dp"
            android:layout_marginTop="10dp"
            android:background="@drawable/icon_music_mark"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="14dp"
            android:text="Exodus(出埃及记)"
            android:textColor="@color/black_333"
            android:textSize="@dimen/sp_14"
            android:textStyle="bold"
            app:layout_constraintLeft_toRightOf="@+id/im_music_mark"
            app:layout_constraintTop_toTopOf="@+id/im_music_mark" />

        <TextView
            android:id="@+id/tv_author_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="14dp"
            android:text="沃伊切赫·基拉尔"
            app:layout_constraintBottom_toBottomOf="@+id/im_music_mark"
            app:layout_constraintLeft_toRightOf="@+id/im_music_mark" />


        <ImageView
            android:id="@+id/im_state"
            android:layout_width="@dimen/dp_55"
            android:layout_height="@dimen/dp_22"
            android:layout_marginRight="12dp"
            android:background="@drawable/icon_score_demand"
            app:layout_constraintBottom_toBottomOf="@+id/im_music_mark"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@+id/im_music_mark" />

        <View
            android:id="@+id/view_line"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginLeft="10dp"
            android:layout_marginTop="10dp"
            android:layout_marginRight="9dp"
            android:background="@color/color_f2f2f2"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/im_music_mark" />

        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/im_header"
            android:layout_width="18dp"
            android:layout_height="18dp"
            android:layout_marginLeft="14dp"
            android:layout_marginTop="8dp"
            android:layout_marginBottom="10dp"
            android:src="@drawable/icon_teacher_default_head"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="@+id/view_line"
            app:layout_constraintTop_toBottomOf="@+id/view_line"
            app:layout_goneMarginLeft="20dp" />

        <TextView
            android:id="@+id/tv_teacher_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="7dp"
            android:text="宋倩倩"
            android:textColor="@color/black_333"
            android:textSize="@dimen/sp_12"
            app:layout_constraintBottom_toBottomOf="@+id/im_header"
            app:layout_constraintLeft_toRightOf="@+id/im_header"
            app:layout_constraintTop_toTopOf="@+id/im_header" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_mark"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="8dp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@+id/tv_teacher_name"
            app:layout_constraintLeft_toRightOf="@+id/tv_teacher_name"
            app:layout_constraintTop_toTopOf="@+id/tv_teacher_name" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</RelativeLayout>